package com.logicbig.example;

import org.springframework.beans.BeanWrapperImpl;
import org.springframework.beans.propertyeditors.CustomDateEditor;
import java.text.SimpleDateFormat;
import java.util.Date;

public class PersonBeanWrapperExample2 {
    public static void main(String[] args) {
        Person person = new Person();
        BeanWrapperImpl beanWrapper= new BeanWrapperImpl(person);

        CustomDateEditor dateEditor = new CustomDateEditor(
                new SimpleDateFormat("yyyy-MM-dd"), true);
        beanWrapper.registerCustomEditor(Date.class, dateEditor);

        beanWrapper.setPropertyValue("name", "Tim");
        beanWrapper.setPropertyValue("dateOfBirth", "1984-07-10");

        System.out.println(person);
    }
}